## wolf-shaper-1.0.2-2.src.tar.gz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(wolf-shaper)

set(THREADS_PREFER_PTHREAD_FLAG ON)
find_package(Threads REQUIRED)

add_subdirectory(dpf)
add_subdirectory(src)
